Subject: bug#20255: 'search-paths' should respect both user and system profile.

From: Josselin Poiret <[email-masked]>
Date: Mon, 15 May 2023 19:14:15 +0200

Hi,

宋文武 via Bug reports for GNU Guix <[email-masked]> writes:

> Hello, commit 40310efde9b4a4f2cf98081d6cd10f843685ebb6 fix this by merge
> search-paths from multiple profiles by `guix package --search-paths`, in
> ~/.bashrc and ~/.zprofile (skeletons, so existed systems need manual
> update).  
>
>
> Close now!

I just checked and zsh does load /etc/profile by default on login, and
on guix system that also loads the user's profile by default.  Should we
remove this so that profiles are only loaded once?

Best,
-- 
Josselin Poiret